Additional PHP does't work correctly

Discussion in 'ISPConfig 3 Priority Support' started by SupuS, Aug 8, 2018.

  1. SupuS

    SupuS Member HowtoForge Supporter

    Hi,
    I followed tutorial on https://www.howtoforge.com/tutorial/how-to-install-php-7-on-debian/ for Debian 9 and I compiled PHP 5.6, 7.0.x and 7.1.x versions. I can switch to another PHP version but some functions not work. For example curl, soap, file_get_contents functions complained about SSL until I add to php.ini this line:
    Code:
    openssl.cafile=/etc/ssl/certs/ca-certificates.crt
    It was not necessary to add this on Debian 8.
    Another problem is with imap functions. I still get this error:
    Code:
    Fatal error: Call to undefined function imap_open()
    Another problem is with imap support. It doesn't work at all. When I try compile with "--with-imap --with-imap-ssl" than make throw error:
    Code:
    /usr/bin/ld: warning: libssl.so.1.1, needed by /usr/lib/x86_64-linux-gnu/libpq.so, may conflict with libssl.so.1.0.0
    /usr/bin/ld: warning: libssl.so.1.1, needed by /usr/lib/x86_64-linux-gnu/libpq.so, may conflict with libssl.so.1.0.0
    /usr/bin/ld: warning: libssl.so.1.1, needed by /usr/lib/x86_64-linux-gnu/libpq.so, may conflict with libssl.so.1.0.0
    /usr/bin/ld: warning: libssl.so.1.1, needed by /usr/lib/x86_64-linux-gnu/libpq.so, may conflict with libssl.so.1.0.0
    /usr/bin/ld: /usr/lib/x86_64-linux-gnu/libc-client.a(osdep.o): undefined reference to symbol '[email protected]@OPENSSL_1_1_0'
    //usr/lib/x86_64-linux-gnu/libssl.so.1.1: error adding symbols: DSO missing from command line
    collect2: error: ld returned 1 exit status
    Makefile:297: recipe for target 'sapi/cli/php' failed
    make: *** [sapi/cli/php] Error 1
    This error is mentioned in discussion under tutorial but without solution. I need imap support for some projects so disabling imap support is no solution for me. Is there some way to use imap support with additional PHP?
    Thanks
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    You can use the precompiled PHP packages from https://deb.sury.org/ instead of compiling them manually.
     

Share This Page